package org.jeecg.modules.ai.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.query.QueryGenerator;
import org.jeecg.common.util.oConvertUtils;
import org.jeecg.modules.ai.entity.PreExaminationMattersField;
import org.jeecg.modules.ai.qo.PreExaminationMattersFieldQuery;
import org.jeecg.modules.ai.service.IPreExaminationMattersFieldService;
import org.jeecg.modules.ai.vo.PreExaminationMattersFieldVo;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.extern.slf4j.Slf4j;

import org.jeecgframework.poi.excel.ExcelImportUtil;
import org.jeecgframework.poi.excel.def.NormalExcelConstants;
import org.jeecgframework.poi.excel.entity.ExportParams;
import org.jeecgframework.poi.excel.entity.ImportParams;
import org.jeecgframework.poi.excel.view.JeecgEntityExcelView;
import org.jeecg.common.system.base.controller.JeecgController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.servlet.ModelAndView;
import com.alibaba.fastjson.JSON;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.jeecg.common.aspect.annotation.AutoLog;

 /**
 * @Description: 事项表单回显字段与材料对应关系表
 * @Author: jeecg-boot
 * @Date:   2023-11-29
 * @Version: V1.0
 */
@Api(tags="事项表单回显字段与材料对应关系表")
@RestController
@RequestMapping("/ai/preExaminationMattersField")
@Slf4j
public class PreExaminationMattersFieldController extends JeecgController<PreExaminationMattersField, IPreExaminationMattersFieldService> {
	@Autowired
	private IPreExaminationMattersFieldService preExaminationMattersFieldService;
	
	/**
	 * 分页列表查询
	 *
	 * @param preExaminationMattersField
	 * @param pageNo
	 * @param pageSize
	 * @param req
	 * @return
	 */
	@AutoLog(value = "事项表单回显字段与材料对应关系表-分页列表查询")
	@ApiOperation(value="事项表单回显字段与材料对应关系表-分页列表查询", notes="事项表单回显字段与材料对应关系表-分页列表查询")
	@GetMapping(value = "/page")
	public Result<?> queryPageList(PreExaminationMattersField preExaminationMattersField,
								   @RequestParam(name="pageNo", defaultValue="1") Integer pageNo,
								   @RequestParam(name="pageSize", defaultValue="10") Integer pageSize,
								   HttpServletRequest req) {
		QueryWrapper<PreExaminationMattersField> queryWrapper = QueryGenerator.initQueryWrapper(preExaminationMattersField, req.getParameterMap());
		Page<PreExaminationMattersField> page = new Page<PreExaminationMattersField>(pageNo, pageSize);
		IPage<PreExaminationMattersField> pageList = preExaminationMattersFieldService.page(page, queryWrapper);
		return Result.OK(pageList);
	}
	
	/**
	 * 分页列表查询
	 *
	 * @param preExaminationMattersField
	 * @param pageNo
	 * @param pageSize
	 * @param req
	 * @return
	 */
	@AutoLog(value = "事项表单回显字段与材料对应关系表")
	@ApiOperation(value="事项表单回显字段与材料对应关系表", notes="事项表单回显字段与材料对应关系表")
	@GetMapping(value = "/list")
	public Result<?> queryList(PreExaminationMattersFieldQuery query,
			HttpServletRequest req) {
		List<PreExaminationMattersFieldVo> list = preExaminationMattersFieldService.getPreExaminationMattersFieldListByEvent(query);
		return Result.OK(list);
	}
	
	/**
	 *   添加
	 *
	 * @param preExaminationMattersField
	 * @return
	 */
	@AutoLog(value = "事项表单回显字段与材料对应关系表-添加")
	@ApiOperation(value="事项表单回显字段与材料对应关系表-添加", notes="事项表单回显字段与材料对应关系表-添加")
	@PostMapping(value = "/saveInfo")
	public Result<?> saveInfo(@RequestBody String reviewInfo) {
		preExaminationMattersFieldService.saveInfo(reviewInfo);
		return Result.OK("添加成功！");
	}
	
	/**
	 *   添加
	 *
	 * @param preExaminationMattersField
	 * @return
	 */
	@AutoLog(value = "事项表单回显字段与材料对应关系表-添加")
	@ApiOperation(value="事项表单回显字段与材料对应关系表-添加", notes="事项表单回显字段与材料对应关系表-添加")
	@PostMapping(value = "/add")
	public Result<?> add(@RequestBody PreExaminationMattersField preExaminationMattersField) {
		preExaminationMattersFieldService.save(preExaminationMattersField);
		return Result.OK("添加成功！");
	}
	
	/**
	 *  编辑
	 *
	 * @param preExaminationMattersField
	 * @return
	 */
	@AutoLog(value = "事项表单回显字段与材料对应关系表-编辑")
	@ApiOperation(value="事项表单回显字段与材料对应关系表-编辑", notes="事项表单回显字段与材料对应关系表-编辑")
	@PostMapping(value = "/edit")
	public Result<?> edit(@RequestBody PreExaminationMattersField preExaminationMattersField) {
		preExaminationMattersFieldService.updateById(preExaminationMattersField);
		return Result.OK("编辑成功!");
	}
	
	/**
	 *   通过id删除
	 *
	 * @param id
	 * @return
	 */
	@AutoLog(value = "事项表单回显字段与材料对应关系表-通过id删除")
	@ApiOperation(value="事项表单回显字段与材料对应关系表-通过id删除", notes="事项表单回显字段与材料对应关系表-通过id删除")
	@PostMapping(value = "/delete")
	public Result<?> delete(@RequestBody PreExaminationMattersField preExaminationMattersField) {
		preExaminationMattersFieldService.removeById(preExaminationMattersField.getId());
		return Result.OK("删除成功!");
	}
	
	/**
	 *  批量删除
	 *
	 * @param ids
	 * @return
	 */
	@AutoLog(value = "事项表单回显字段与材料对应关系表-批量删除")
	@ApiOperation(value="事项表单回显字段与材料对应关系表-批量删除", notes="事项表单回显字段与材料对应关系表-批量删除")
	@DeleteMapping(value = "/deleteBatch")
	public Result<?> deleteBatch(@RequestParam(name="ids",required=true) String ids) {
		this.preExaminationMattersFieldService.removeByIds(Arrays.asList(ids.split(",")));
		return Result.OK("批量删除成功!");
	}
	
	/**
	 * 通过id查询
	 *
	 * @param id
	 * @return
	 */
	@AutoLog(value = "事项表单回显字段与材料对应关系表-通过id查询")
	@ApiOperation(value="事项表单回显字段与材料对应关系表-通过id查询", notes="事项表单回显字段与材料对应关系表-通过id查询")
	@GetMapping(value = "/queryById")
	public Result<?> queryById(@RequestParam(name="id",required=true) String id) {
		PreExaminationMattersField preExaminationMattersField = preExaminationMattersFieldService.getById(id);
		if(preExaminationMattersField==null) {
			return Result.error("未找到对应数据");
		}
		return Result.OK(preExaminationMattersField);
	}

    /**
    * 导出excel
    *
    * @param request
    * @param preExaminationMattersField
    */
    @RequestMapping(value = "/exportXls")
    public ModelAndView exportXls(HttpServletRequest request, PreExaminationMattersField preExaminationMattersField) {
        return super.exportXls(request, preExaminationMattersField, PreExaminationMattersField.class, "事项表单回显字段与材料对应关系表");
    }

    /**
      * 通过excel导入数据
    *
    * @param request
    * @param response
    * @return
    */
    @RequestMapping(value = "/importExcel", method = RequestMethod.POST)
    public Result<?> importExcel(HttpServletRequest request, HttpServletResponse response) {
        return super.importExcel(request, response, PreExaminationMattersField.class);
    }

}
