package org.jeecg.modules.ai.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 预审事项表
 * @Author: jeecg-boot
 * @Date:   2023-11-25
 * @Version: V1.0
 */
@Data
@TableName("pre_examination_matters")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="pre_examination_matters对象", description="预审事项表")
public class PreExaminationMatters implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**报告模板地址*/
	@Excel(name = "报告模板地址", width = 15)
    @ApiModelProperty(value = "报告模板地址")
    private java.lang.String reportTemplateUrl;
	/**事项编码*/
	@Excel(name = "事项编码", width = 15)
    @ApiModelProperty(value = "事项编码")
    private java.lang.String eventCode;
	/**机器人展示名称*/
	@Excel(name = "机器人展示名称", width = 15)
    @ApiModelProperty(value = "机器人展示名称")
    private java.lang.String displayName;
	/**删除状态(0-正常,1-已删除)*/
	@Excel(name = "删除状态(0-正常,1-已删除)", width = 15)
    @ApiModelProperty(value = "删除状态(0-正常,1-已删除)")
    private java.lang.Integer delFlag;
	/**授权状态（0-未授权，1-已授权）*/
	@Excel(name = "授权状态（0-未授权，1-已授权）", width = 15)
    @ApiModelProperty(value = "授权状态（0-未授权，1-已授权）")
    private java.lang.Integer authorStatus;
	/**办件类型*/
	@Excel(name = "办件类型", width = 15)
    @ApiModelProperty(value = "办件类型")
    private java.lang.Integer processingType;
	/**打印模版地址*/
	@Excel(name = "打印模版地址", width = 15)
    @ApiModelProperty(value = "打印模版地址")
    private java.lang.String printTemplateUrl;
}
