package org.jeecg.modules.ai.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 事项表单回显字段与材料对应关系表
 * @Author: jeecg-boot
 * @Date:   2023-11-29
 * @Version: V1.0
 */
@Data
@TableName("pre_examination_matters_field")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="pre_examination_matters_field对象", description="事项表单回显字段与材料对应关系表")
public class PreExaminationMattersField implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**预审事项编码*/
	@Excel(name = "预审事项编码", width = 15)
    @ApiModelProperty(value = "预审事项编码")
    private java.lang.String eventCode;
	/**回显字段名称*/
	@Excel(name = "回显字段名称", width = 15)
    @ApiModelProperty(value = "回显字段名称")
    private java.lang.String fieldName;
	/**回显字段编码*/
	@Excel(name = "回显字段编码", width = 15)
    @ApiModelProperty(value = "回显字段编码")
    private java.lang.String fieldCode;
	/**材料编码*/
	@Excel(name = "材料编码", width = 15)
    @ApiModelProperty(value = "材料编码")
    private java.lang.String materialCode;
	/**状态 1 可用 0 禁用*/
	@Excel(name = "状态 1 可用 0 禁用", width = 15)
    @ApiModelProperty(value = "状态 1 可用 0 禁用")
    private java.lang.Integer status;
}
