package org.jeecg.modules.ai.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 办事预审记录
 * @Author: jeecg-boot
 * @Date:   2023-11-25
 * @Version: V1.0
 */
@Data
@TableName("pre_review_records")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="pre_review_records对象", description="办事预审记录")
public class PreReviewRecords implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**事项编码*/
	@Excel(name = "事项编码", width = 15)
    @ApiModelProperty(value = "事项编码")
    private java.lang.String eventCode;
	/**预审状态（0-不通过，1-通过）*/
	@Excel(name = "预审状态（0-不通过，1-通过）", width = 15)
    @ApiModelProperty(value = "预审状态（0-不通过，1-通过）")
    private java.lang.Integer validStatus;
	/**评价情况（0-未评价，1-已评价）*/
	@Excel(name = "评价情况（0-未评价，1-已评价）", width = 15)
    @ApiModelProperty(value = "评价情况（0-未评价，1-已评价）")
    private java.lang.Integer evaluateStatus;
	/**资料袋编码*/
	@Excel(name = "资料袋编码", width = 15)
    @ApiModelProperty(value = "资料袋编码")
    private java.lang.String materialBag;
	/**资料袋使用情况（0-未使用，1-已使用）*/
	@Excel(name = "资料袋使用情况（0-未使用，1-已使用）", width = 15)
    @ApiModelProperty(value = "资料袋使用情况（0-未使用，1-已使用）")
    private java.lang.Integer isMaterial;
	/**用户身份标识*/
	@Excel(name = "用户身份标识", width = 15)
    @ApiModelProperty(value = "用户身份标识")
    private java.lang.String userId;
	/**评价星级*/
	@Excel(name = "评价星级", width = 2)
    @ApiModelProperty(value = "评价星级")
	private Integer star;
	/**评价星级*/
	@Excel(name = "短信发送标志", width = 2)
	@ApiModelProperty(value = "短信发送标志")
	private Integer sendSmsFlag;
	
	/**发送短信时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "发送短信时间")
    private java.util.Date sendSmsTime;
}
