package org.jeecg.modules.ai.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 房间表
 * @Author: jeecg-boot
 * @Date:   2023-11-30
 * @Version: V1.0
 */
@Data
@TableName("room")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="room对象", description="房间表")
public class Room implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.Long id;
	/**删除标志*/
	@Excel(name = "删除标志", width = 15)
    @ApiModelProperty(value = "删除标志")
    private java.lang.Integer deleted;
	/**创建时间*/
	@Excel(name = "创建时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date inserted;
	/**更新时间*/
	@Excel(name = "更新时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "更新时间")
    private java.util.Date updated;
	/**允许录屏*/
	@Excel(name = "允许录屏", width = 15)
    @ApiModelProperty(value = "允许录屏")
    private java.lang.Integer allowRecording;
	/**允许提问*/
	@Excel(name = "允许提问", width = 15)
    @ApiModelProperty(value = "允许提问")
    private java.lang.Integer allowUserQuestions;
	/**预约*/
	@Excel(name = "预约", width = 15)
    @ApiModelProperty(value = "预约")
    private java.lang.Integer appointment;
	/**只允许音频*/
	@Excel(name = "只允许音频", width = 15)
    @ApiModelProperty(value = "只允许音频")
    private java.lang.Integer audioOnly;
	/**房间容量*/
	@Excel(name = "房间容量", width = 20)
    @ApiModelProperty(value = "房间容量")
    private java.lang.Long capacity;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.Integer chatModerated;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.Integer chatOpened;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.Integer closed;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.String comment;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.String confno;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.Integer demoRoom;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.Integer demoTime;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.String externalId;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.Integer filesOpened;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.Integer ispublic;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.Integer moderated;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.String name;
	/** */
	@Excel(name = " ", width = 20)
    @ApiModelProperty(value = " ")
    private java.lang.Long ownerId;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.String pin;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.String redirectUrl;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.Integer sipEnabled;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.String tag;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.String type;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.Integer waitModerator;
	/** */
	@Excel(name = " ", width = 15)
    @ApiModelProperty(value = " ")
    private java.lang.Integer waitForRecording;
}
