package org.jeecg.modules.ai.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 事项表
 * @Author: jeecg-boot
 * @Date:   2023-11-25
 * @Version: V1.0
 */
@Data
@TableName("ys_directory")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="ys_directory对象", description="事项表")
public class YsDirectory implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**事项名称*/
	@Excel(name = "事项名称", width = 15)
    @ApiModelProperty(value = "事项名称")
    private java.lang.String eventName;
	/**所属标签*/
	@Excel(name = "所属标签", width = 15)
    @ApiModelProperty(value = "所属标签")
    private java.lang.String tags;
	/**状态（1-在用，2-变更中，0-停用）*/
	@Excel(name = "状态（1-在用，2-变更中，0-停用）", width = 15)
    @ApiModelProperty(value = "状态（1-在用，2-变更中，0-停用）")
    private java.lang.String validStatus;
	/**删除状态(0-正常,1-已删除)*/
	@Excel(name = "删除状态(0-正常,1-已删除)", width = 15)
    @ApiModelProperty(value = "删除状态(0-正常,1-已删除)")
    private java.lang.Integer delFlag;
	/**版本号*/
	@Excel(name = "版本号", width = 15)
    @ApiModelProperty(value = "版本号")
    private java.lang.String version;
	/**事项编码*/
	@Excel(name = "事项编码", width = 15)
    @ApiModelProperty(value = "事项编码")
    private java.lang.String eventCode;
	/**事项id*/
	@Excel(name = "事项id", width = 15)
    @ApiModelProperty(value = "事项id")
    private java.lang.String eventId;
	/**区域编码*/
	@Excel(name = "区域编码", width = 15)
    @ApiModelProperty(value = "区域编码")
    private java.lang.String areaCode;
	/**系统编码*/
	@Excel(name = "系统编码", width = 15)
    @ApiModelProperty(value = "系统编码")
    private java.lang.String sysCode;
	/**密钥*/
	@Excel(name = "密钥", width = 15)
    @ApiModelProperty(value = "密钥")
    private java.lang.String mbSecretKey;
	/**源系统代码*/
	@Excel(name = "源系统代码", width = 15)
    @ApiModelProperty(value = "源系统代码")
    private java.lang.String mbSourceSystemCode;
	/**授权参数*/
	@Excel(name = "授权参数", width = 15)
    @ApiModelProperty(value = "授权参数")
    private java.lang.String sysAuthorization;
	/**事件类型，来源字典表*/
	@Excel(name = "事件类型，来源字典表", width = 15)
    @ApiModelProperty(value = "事件类型，来源字典表")
    private java.lang.Integer evtentType;
	/**权利来源*/
	@Excel(name = "权利来源", width = 15)
    @ApiModelProperty(value = "权利来源")
    private java.lang.Integer sourceOfRights;
}
