package org.jeecg.modules.ai.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 资料表
 * @Author: jeecg-boot
 * @Date:   2023-11-25
 * @Version: V1.0
 */
@Data
@TableName("ys_directory_material")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="ys_directory_material对象", description="资料表")
public class YsDirectoryMaterial implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**材料名称*/
	@Excel(name = "材料名称", width = 15)
    @ApiModelProperty(value = "材料名称")
    private java.lang.String materialName;
	/**材料编码*/
	@Excel(name = "材料编码", width = 15)
    @ApiModelProperty(value = "材料编码")
    private java.lang.String materialCode;
	/**上传材料类型*/
	@Excel(name = "上传材料类型", width = 15)
    @ApiModelProperty(value = "上传材料类型")
    private java.lang.String uploadMaterialType;
	/**出具方*/
	@Excel(name = "出具方", width = 15)
    @ApiModelProperty(value = "出具方")
    private java.lang.String byWho;
	/**材料类型*/
	@Excel(name = "材料类型", width = 15)
    @ApiModelProperty(value = "材料类型")
    private java.lang.String materialType;
	/**材料来源*/
	@Excel(name = "材料来源", width = 15)
    @ApiModelProperty(value = "材料来源")
    private java.lang.String materialSource;
	/**是否必要（0-否，1-是）*/
	@Excel(name = "是否必要（0-否，1-是）", width = 15)
    @ApiModelProperty(value = "是否必要（0-否，1-是）")
    private java.lang.Integer isMust;
	/**材料形式*/
	@Excel(name = "材料形式", width = 15)
    @ApiModelProperty(value = "材料形式")
    private java.lang.String materialForm;
	/**受理标准*/
	@Excel(name = "受理标准", width = 15)
    @ApiModelProperty(value = "受理标准")
    private java.lang.String acceptStandard;
	/**示例样表名称*/
	@Excel(name = "示例样表名称", width = 15)
    @ApiModelProperty(value = "示例样表名称")
    private java.lang.String sampleTableName;
	/**空白表格名称*/
	@Excel(name = "空白表格名称", width = 15)
    @ApiModelProperty(value = "空白表格名称")
    private java.lang.String blankFormName;
	/**示例样表实际内容*/
	@Excel(name = "示例样表实际内容", width = 15)
    @ApiModelProperty(value = "示例样表实际内容")
    private java.lang.String sampleTableContent;
	/**备注*/
	@Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private java.lang.String remark;
	/**事项名称*/
	@Excel(name = "事项名称", width = 15)
    @ApiModelProperty(value = "事项名称")
    private java.lang.String dirId;
	/**前置材料*/
	@Excel(name = "前置材料", width = 15)
    @ApiModelProperty(value = "前置材料")
    private java.lang.String mustMaterial;
	/**所属部门*/
	@Excel(name = "所属部门", width = 15)
    @ApiModelProperty(value = "所属部门")
    private java.lang.String deptId;
	/**上传大小限制*/
	@Excel(name = "上传大小限制", width = 15)
    @ApiModelProperty(value = "上传大小限制")
    private java.lang.Integer fileSize;
	/**预审识别类型*/
	@Excel(name = "预审识别类型", width = 15)
    @ApiModelProperty(value = "预审识别类型")
    private java.lang.String verifyDataType;
	/**排序*/
	@Excel(name = "排序", width = 15)
    @ApiModelProperty(value = "排序")
    private java.lang.Integer sortOrder;
	/**状态*/
	@Excel(name = "状态", width = 15)
    @ApiModelProperty(value = "状态")
    private java.lang.Integer validStatus;
	/**删除状态(0-正常,1-已删除)*/
	@Excel(name = "删除状态(0-正常,1-已删除)", width = 15)
    @ApiModelProperty(value = "删除状态(0-正常,1-已删除)")
    private java.lang.Integer delFlag;
	/**材料文件地址*/
	@Excel(name = "材料文件地址", width = 15)
    @ApiModelProperty(value = "材料文件地址")
    private java.lang.String materialUrl;
	/**是否存在规则要素，0不存在，1存在*/
	@Excel(name = "是否存在规则要素，0不存在，1存在", width = 15)
    @ApiModelProperty(value = "是否存在规则要素，0不存在，1存在")
    private java.lang.Integer rulesExist;
	/**空白样表材料文件地址*/
	@Excel(name = "空白样表材料文件地址", width = 15)
    @ApiModelProperty(value = "空白样表材料文件地址")
    private java.lang.String blankMaterialUrl;
}
