package org.jeecg.modules.ai.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.ai.entity.PreReviewMaterial;
import org.jeecg.modules.ai.qo.PreReviewMaterialQuery;
import org.jeecg.modules.ai.vo.PreExaminationMattersVo;
import org.jeecg.modules.ai.vo.PreReviewMaterialVo;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * @Description: 通用预审材料
 * @Author: jeecg-boot
 * @Date:   2023-11-25
 * @Version: V1.0
 */
public interface PreReviewMaterialMapper extends BaseMapper<PreReviewMaterial> {

	/**
	 * 根据参数关联查询事项信息(分页)
	 * @param page
	 * @param queryWrapper
	 * @return
	 */
	IPage<PreReviewMaterialVo> getPreReviewMaterialList(Page page, @Param("query") PreReviewMaterialQuery query);
	/**
	 * 根据参数关联查询事项信息
	 * @param page
	 * @param queryWrapper
	 * @return
	 */
	List<PreReviewMaterialVo> getPreReviewMaterialList(@Param("query") PreReviewMaterialQuery query);
	
	/**
	 * 更加编码获取对象
	 * @param code
	 * @return
	 */
	PreReviewMaterialVo getPreReviewMaterialByCode(String code);
}
