package org.jeecg.modules.ai.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.ai.entity.PreReviewRecordsDetail;
import org.jeecg.modules.ai.qo.PreReviewRecordsDetailQuery;
import org.jeecg.modules.ai.qo.PreReviewRecordsQuery;
import org.jeecg.modules.ai.vo.PreReviewRecordsDetailVo;
import org.jeecg.modules.ai.vo.PreReviewRecordsVo;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * @Description: 办事预审记录详情
 * @Author: jeecg-boot
 * @Date:   2023-11-25
 * @Version: V1.0
 */
public interface PreReviewRecordsDetailMapper extends BaseMapper<PreReviewRecordsDetail> {

	/**
	 * 根据参数关联查询事项信息(分页)
	 * @param page
	 * @param queryWrapper
	 * @return
	 */
	IPage<PreReviewRecordsDetailVo> getPreReviewRecordsDetailList(Page page, @Param("query") PreReviewRecordsDetailQuery query);
	
	/**
	 * 根据参数关联查询事项信息
	 * @param page
	 * @param queryWrapper
	 * @return
	 */
	List<PreReviewRecordsDetailVo> getPreReviewRecordsDetailList(@Param("query") PreReviewRecordsDetailQuery query);
}
