package org.jeecg.modules.ai.mapper;


import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.ai.entity.PreReviewRecords;
import org.jeecg.modules.ai.qo.PreReviewRecordsQuery;
import org.jeecg.modules.ai.vo.PreReviewRecordsVo;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * @Description: 办事预审记录
 * @Author: jeecg-boot
 * @Date:   2023-11-25
 * @Version: V1.0
 */
public interface PreReviewRecordsMapper extends BaseMapper<PreReviewRecords> {

	/**
	 * 根据参数关联查询事项信息
	 * @param page
	 * @param queryWrapper
	 * @return
	 */
	IPage<PreReviewRecordsVo> getPreReviewRecordsList(Page page, @Param("query") PreReviewRecordsQuery query);
	
	/**
	 * 按事项分类统计当日发送短信数量
	 * @return
	 */
	List<PreReviewRecords> getSendMsgRecordsCount();
}
