package org.jeecg.modules.ai.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.ai.entity.YsDirectory;
import org.jeecg.modules.ai.qo.PreExaminationMattersQuery;
import org.jeecg.modules.ai.qo.YsDirectoryQuery;
import org.jeecg.modules.ai.vo.PreExaminationMattersVo;
import org.jeecg.modules.ai.vo.YsDirectoryVo;
import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * @Description: 事项表
 * @Author: jeecg-boot
 * @Date:   2023-11-25
 * @Version: V1.0
 */
public interface YsDirectoryMapper extends BaseMapper<YsDirectory> {
	
	/**
	 * 根据事项编码获取事项信息
	 * @param eventCode
	 * @return
	 */
	YsDirectory getYsDirectoryByCode(String eventCode);
	
	/**
	 * 根据参数关联查询事项信息
	 * @param page
	 * @param queryWrapper
	 * @return
	 */
	IPage<YsDirectoryVo> getYsDirectoryList(Page page, @Param("query") YsDirectoryQuery query);

}
