package org.jeecg.modules.ai.service;

import org.jeecg.modules.ai.entity.PreExaminationMatters;
import org.jeecg.modules.ai.qo.PreExaminationMattersQuery;
import org.jeecg.modules.ai.vo.PreExaminationMattersVo;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 预审事项表
 * @Author: jeecg-boot
 * @Date:   2023-11-25
 * @Version: V1.0
 */
public interface IPreExaminationMattersService extends IService<PreExaminationMatters> {
	
	/**
	 * 根据参数关联查询事项信息
	 * @param page
	 * @param queryWrapper
	 * @return
	 */
	public IPage<PreExaminationMattersVo> getPreExaminationMattersList(Page page, PreExaminationMattersQuery query);

	/**
	 * 添加预审事项
	 * @param preExaminationMatters
	 * @return
	 */
	public boolean saveInfo(String ids);
}
