package org.jeecg.modules.ai.service;

import java.util.List;

import org.jeecg.modules.ai.entity.PreReviewMaterial;
import org.jeecg.modules.ai.qo.PreReviewMaterialQuery;
import org.jeecg.modules.ai.vo.PreReviewMaterialVo;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 通用预审材料
 * @Author: jeecg-boot
 * @Date:   2023-11-25
 * @Version: V1.0
 */
public interface IPreReviewMaterialService extends IService<PreReviewMaterial> {

	/**
	 * 根据参数关联查询事项信息(分页)
	 * @param page
	 * @param queryWrapper
	 * @return
	 */
	public IPage<PreReviewMaterialVo> getPreReviewMaterialPage(Page page, PreReviewMaterialQuery query);
	
	/**
	 * 根据事项编码获取材料信息
	 * @param page
	 * @param queryWrapper
	 * @return
	 */
	public List<PreReviewMaterialVo> getPreReviewMaterialList(String eventCode);
	
	/**
	 * 保存通用预审资料
	 * @param preReviewMaterial
	 */
	public boolean saveInfo(String ids);
}
