package org.jeecg.modules.ai.service;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.ai.entity.PreReviewRecordsDetail;
import org.jeecg.modules.ai.qo.PreReviewRecordsDetailQuery;
import org.jeecg.modules.ai.vo.PreReviewRecordsDetailVo;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 办事预审记录详情
 * @Author: jeecg-boot
 * @Date:   2023-11-25
 * @Version: V1.0
 */
public interface IPreReviewRecordsDetailService extends IService<PreReviewRecordsDetail> {
	
	/**
	 * 根据参数关联查询事项信息
	 * @param page
	 * @param queryWrapper
	 * @return
	 */
	public IPage<PreReviewRecordsDetailVo> getPreReviewRecordsDetailList(Page page, PreReviewRecordsDetailQuery query);

	/**
	 * 获取已提交的资料信息
	 * @param eventCode
	 * @param userId
	 * @return
	 */
	public List<PreReviewRecordsDetailVo> getSubmittedMaterialList(String eventCode,String userId);
}
