package org.jeecg.modules.ai.service;

import java.util.List;

import org.jeecg.modules.ai.entity.PreReviewRecords;
import org.jeecg.modules.ai.qo.PreExaminationMattersQuery;
import org.jeecg.modules.ai.qo.PreReviewRecordsApiQuery;
import org.jeecg.modules.ai.qo.PreReviewRecordsQuery;
import org.jeecg.modules.ai.vo.PreExaminationMattersVo;
import org.jeecg.modules.ai.vo.PreReviewRecordsVo;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 办事预审记录
 * @Author: jeecg-boot
 * @Date:   2023-11-25
 * @Version: V1.0
 */
public interface IPreReviewRecordsService extends IService<PreReviewRecords> {

	/**
	 * 保存预审记录
	 * @param preReviewRecordsVo
	 * @return
	 */
	public String saveInfo(String preReviewRecordsVo);
	
	/**
	 * 根据参数关联查询事项信息
	 * @param page
	 * @param queryWrapper
	 * @return
	 */
	public IPage<PreReviewRecordsVo> getPreReviewRecordsList(Page page, PreReviewRecordsQuery query);
	
	/**
	 * 修改评价状态
	 * @param reviewRecordId
	 * @return
	 */
	public int updateEvaluateStatue(PreReviewRecordsApiQuery query);
	
	/**
	 * 通过id下载用户上传文件
	 * @param reviewRecordId
	 * @return
	 */
	public String downLoad(PreReviewRecords preReviewRecords);
	
	/**
	 * 按事项分类统计当日发送短信数量
	 * @return
	 */
	public List<PreReviewRecords> getSendMsgRecordsCount();
}
