package org.jeecg.modules.ai.service.impl;

import javax.annotation.Resource;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.ai.entity.YsDirectory;
import org.jeecg.modules.ai.mapper.YsDirectoryMapper;
import org.jeecg.modules.ai.qo.YsDirectoryQuery;
import org.jeecg.modules.ai.service.IYsDirectoryService;
import org.jeecg.modules.ai.vo.YsDirectoryVo;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 事项表
 * @Author: jeecg-boot
 * @Date:   2023-11-25
 * @Version: V1.0
 */
@Service
public class YsDirectoryServiceImpl extends ServiceImpl<YsDirectoryMapper, YsDirectory> implements IYsDirectoryService {

	@Resource
	private YsDirectoryMapper ysDirectoryMapper;
	
	/**
	 * 根据参数关联查询事项信息
	 * @param page
	 * @param queryWrapper
	 * @return
	 */
	@Override
	public IPage<YsDirectoryVo> getYsDirectoryList(Page page, @Param("query") YsDirectoryQuery query){
		return ysDirectoryMapper.getYsDirectoryList(page, query);
	}
}
