package org.jeecg.modules.oauth2_server.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @author liushuai
 * @create 2022-01-21 17:59
 */
@Data
public class SysUserVo {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;
    /**
     * 真实姓名
     */
    @Excel(name = "真实姓名", width = 15)
    private String realname;



    /**
     * 性别（1：男 2：女）
     */
    @Excel(name = "性别", width = 15,dicCode="sex")
    @Dict(dicCode = "sex")
    private Integer sex;


    /**
     * 电话
     */
    @Excel(name = "电话", width = 15)
    private String phone;

    /**
     * 部门code(当前选择登录部门)
     */
    private String orgCode;

    /**部门名称*/
    private transient String orgCodeTxt;

    /**
     * 状态(1：正常  2：冻结 ）
     */
    @Excel(name = "状态", width = 15,dicCode="user_status")
    @Dict(dicCode = "user_status")
    private Integer status;

    /**
     * 删除状态（0，正常，1已删除）
     */
    @Excel(name = "删除状态", width = 15,dicCode="del_flag")
    @TableLogic
    private Integer delFlag;


    /**
     * 职务，关联职务表
     */
    @Excel(name = "职务", width = 15)
    @Dict(dictTable ="sys_position",dicText = "name",dicCode = "code")
    private String post;



    /**
     * 同步工作流引擎1同步0不同步
     */
    private Integer activitiSync;

    private String areaName;
    /**
     * 身份（0 普通成员 1 上级）
     */
    @Excel(name="（1普通成员 2上级）",width = 15)
    private Integer userIdentity;

    private String documentType;
    /**
     * 负责部门
     */
    @Excel(name="负责部门",width = 15,dictTable ="sys_depart",dicText = "depart_name",dicCode = "id")
    @Dict(dictTable ="sys_depart",dicText = "depart_name",dicCode = "id")
    private String departIds;

    /**
     * 多租户id配置，编辑用户的时候设置
     */
    private String relTenantIds;

    /**设备id uniapp推送用*/
    private String clientId;

    /**身份证号*/
    @Excel(name = "身份证号", width = 15)
    @ApiModelProperty(value = "身份证号")
    private String idCard;
    /**用户类型*/
    @Excel(name = "用户类型", width = 15)
    @ApiModelProperty(value = "用户类型")
    @Dict(dicCode = "user_type")
    private String userType;
    /**所属外部系统名称*/
    @Excel(name = "所属外部系统名称", width = 15)
    @ApiModelProperty(value = "所属外部系统名称")
    private String systemName;
    private String userPosition;
    private String isResearchCenter;
    private String userDescription;
    private String otherName;
    /**用户等级*/
    @Excel(name = "用户等级", width = 15)
    @ApiModelProperty(value = "用户等级")
    @Dict(dicCode = "user_level")
    private String userLevel;
    /**是否已认证*/
    @Excel(name = "是否已认证", width = 15)
    @ApiModelProperty(value = "是否已认证")
    @Dict(dicCode = "yn")
    private String isRealname;
    private String openid;

    private String address;

    private String age;


}
