package org.jeecg.modules.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 监管业务系统
 * @Author: jeecg-boot
 * @Date:   2022-07-28
 * @Version: V1.0
 */
@Data
@TableName("jg_business_system")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="jg_business_system对象", description="监管业务系统")
public class JgBusinessSystem implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**上级区划*/
	@Excel(name = "上级区划", width = 15)
    @ApiModelProperty(value = "上级区划")
    private String parentAreaName;
	/**上级区划编码*/
	@Excel(name = "上级区划编码", width = 15)
    @ApiModelProperty(value = "上级区划编码")
    private String parentAreaCode;
	/**所属区划*/
	@Excel(name = "所属区划", width = 15)
    @ApiModelProperty(value = "所属区划")
    private String areaName;
	/**区划编码*/
	@Excel(name = "区划编码", width = 15)
    @ApiModelProperty(value = "区划编码")
    private String areaCode;
	/**部门全称*/
	@Excel(name = "部门全称", width = 15)
    @ApiModelProperty(value = "部门全称")
    private String departName;
	/**部门编码*/
	@Excel(name = "部门编码", width = 15)
    @ApiModelProperty(value = "部门编码")
    private String departCode;
	/**是否只使用四川互联网+监管平台*/
	@Excel(name = "是否只使用四川互联网+监管平台", width = 15, dicCode = "yn")
	@Dict(dicCode = "yn")
    @ApiModelProperty(value = "是否只使用四川互联网+监管平台")
    private Integer isOnlyJg;
	/**业务系统层级*/
	@Excel(name = "业务系统层级", width = 15, dicCode = "business_system_level")
	@Dict(dicCode = "business_system_level")
    @ApiModelProperty(value = "业务系统层级")
    private Integer level;
	/**业务系统全称*/
	@Excel(name = "业务系统全称", width = 15)
    @ApiModelProperty(value = "业务系统全称")
    private String title;
	/**网络环境*/
	@Excel(name = "网络环境", width = 15)
    @ApiModelProperty(value = "网络环境")
    @Dict(dicCode = "net_environment")
    private Integer netEnvironment;
	/**网址*/
	@Excel(name = "网址", width = 15)
    @ApiModelProperty(value = "网址")
    private String netUrl;
	/**主管单位名称*/
	@Excel(name = "主管单位名称", width = 15)
    @ApiModelProperty(value = "主管单位名称")
    private String superDepartName;
	/**统一社会信用代码*/
	@Excel(name = "统一社会信用代码", width = 15)
    @ApiModelProperty(value = "统一社会信用代码")
    private String superUniscid;
	/**逻辑删除*/
	@Excel(name = "逻辑删除", width = 15)
    @ApiModelProperty(value = "逻辑删除")
    private Integer delFlag;
}
