package org.jeecg.modules.system.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 材料袋
 * @Author: jeecg-boot
 * @Date:   2023-11-20
 * @Version: V1.0
 */
@Data
@TableName("material_bag")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="material_bag对象", description="material_bag")
public class MaterialBag implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
	/**资料袋编码*/
	@Excel(name = "资料袋编码", width = 15)
    @ApiModelProperty(value = "资料袋编码")
    private String code;
    /**资料袋类型*/
    @Excel(name = "资料袋类型", width = 15)
    @ApiModelProperty(value = "资料袋编码")
    private String type;
	/**资料所属站点*/
	@Excel(name = "资料所属站点", width = 15)
    @ApiModelProperty(value = "资料所属站点")
    private String site;
	/**关联设备*/
	@Excel(name = "关联设备", width = 15)
    @ApiModelProperty(value = "关联设备")
    private String relatedEquipment;
	/**资料袋二维码*/
	@Excel(name = "资料袋二维码", width = 15)
    @ApiModelProperty(value = "资料袋二维码")
    private String bagQrCode;
	/**使用状态*/
	@Excel(name = "使用状态", width = 15)
    @ApiModelProperty(value = "使用状态")
    private Integer status;
	/**资料柜信息*/
	@Excel(name = "资料柜信息", width = 15)
    @ApiModelProperty(value = "资料柜信息")
    private String materialBoxData;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
	/**updateUser*/
	@Excel(name = "updateUser", width = 15)
    @ApiModelProperty(value = "updateUser")
    private String updateUser;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "createTime")
    private Date createTime;
	/**createUser*/
	@Excel(name = "createUser", width = 15)
    @ApiModelProperty(value = "createUser")
    private String createUser;
	/**delFlag*/
    @TableLogic
	@Excel(name = "delFlag", width = 15)
    @ApiModelProperty(value = "delFlag")
    private Integer delFlag;
}
