package org.jeecg.modules.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: nation_area
 * @Author: jeecg-boot
 * @Date:   2022-03-03
 * @Version: V1.0
 */
@Data
@TableName("nation_area")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="nation_area对象", description="nation_area")
public class NationArea implements Serializable {
    private static final long serialVersionUID = 1L;

	/**本地主键*/
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "本地主键")
    private Integer id;
	/**区划代码(必填)*/
	@Excel(name = "区划代码(必填)", width = 15)
    @ApiModelProperty(value = "区划代码(必填)")
    private String regionCode;
	/**名称(必填)*/
	@Excel(name = "名称(必填)", width = 15)
    @ApiModelProperty(value = "名称(必填)")
    private String regionName;
	/**简称*/
	@Excel(name = "简称", width = 15)
    @ApiModelProperty(value = "简称")
    private String regionSname;
	/**描述*/
	@Excel(name = "描述", width = 15)
    @ApiModelProperty(value = "描述")
    private String description;
	/**上级行政区划Id*/
	@Excel(name = "上级行政区划Id", width = 15)
    @ApiModelProperty(value = "上级行政区划Id")
    private String parentCode;
	/**行政区划等级*/
	@Excel(name = "行政区划等级", width = 15)
    @ApiModelProperty(value = "行政区划等级")
    private String regionLvl;
	/**国家*/
	@Excel(name = "国家", width = 15)
    @ApiModelProperty(value = "国家")
    private String nation;
	/**省*/
	@Excel(name = "省", width = 15)
    @ApiModelProperty(value = "省")
    private String province;
	/**地市*/
	@Excel(name = "地市", width = 15)
    @ApiModelProperty(value = "地市")
    private String area;
	/**县*/
	@Excel(name = "县", width = 15)
    @ApiModelProperty(value = "县")
    private String city;
	/**镇*/
	@Excel(name = "镇", width = 15)
    @ApiModelProperty(value = "镇")
    private String town;
	/**村*/
	@Excel(name = "村", width = 15)
    @ApiModelProperty(value = "村")
    private String village;
	/**顺序*/
	@Excel(name = "顺序", width = 15)
    @ApiModelProperty(value = "顺序")
    private String sortOrder;
	/**状态*/
	@Excel(name = "状态", width = 15)
    @ApiModelProperty(value = "状态")
    private String status;
}
