package org.jeecg.modules.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: sys_change_msg
 * @Author: jeecg-boot
 * @Date:   2022-01-22
 * @Version: V1.0
 */
@Data
@TableName("sys_change_msg")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="sys_change_msg对象", description="sys_change_msg")
public class SysChangeMsg implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
	/**应用id*/
	@Excel(name = "应用id", width = 15)
    @ApiModelProperty(value = "应用id")
    private String tenantId;
	/**请求地址*/
	@Excel(name = "请求地址", width = 15)
    @ApiModelProperty(value = "请求地址")
    private String url;
	/**同步类型 1-用户信息 2-账户信息 3-用户角色信息 4-角色信息 5-角色菜单信息 6-菜单信息 7-部门信息 8区划信息*/
	@Excel(name = "同步类型 1-用户信息 2-账户信息 3-用户角色信息 4-角色信息 5-角色菜单信息 6-菜单信息 7-部门信息 8区划信息", width = 15)
    @ApiModelProperty(value = "同步类型 1-用户信息 2-账户信息 3-用户角色信息 4-角色信息 5-角色菜单信息 6-菜单信息 7-部门信息 8区划信息")
    private Integer type;
	/**相关业务id*/
	@Excel(name = "相关业务id", width = 15)
    @ApiModelProperty(value = "相关业务id")
    private String tId;
	/**I新增 U更新 D删除*/
	@Excel(name = "I新增 U更新 D删除", width = 15)
    @ApiModelProperty(value = "I新增 U更新 D删除")
    private String oprateType;
	/**数据内容 以json数组的形式传送*/
	@Excel(name = "数据内容 以json数组的形式传送", width = 15)
    @ApiModelProperty(value = "数据内容 以json数组的形式传送")
    private String data;
	/**0未处理 1已处理 2异常请求*/
	@Excel(name = "0未处理 1已处理 2异常请求", width = 15)
    @ApiModelProperty(value = "0未处理 1已处理 2异常请求")
    private Integer flag;
	/**返回信息*/
	@Excel(name = "返回信息", width = 15)
    @ApiModelProperty(value = "返回信息")
    private String result;

	private Integer delFlag;

    /**创建日期*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createTime;

    /**发送日期*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
